
</section>



<script>
    // Função para mostrar a animação de carregamento
    function showLoading() {
        document.getElementById('loading').classList.remove('hidden');
    }

    // Função para esconder a animação de carregamento
    function hideLoading() {
        document.getElementById('loading').classList.add('hidden');
    }

    // Mostra a animação de carregamento quando o usuário tenta sair ou navegar para outra página
    window.addEventListener('beforeunload', function () {
        showLoading();
    });

    // Esconde a animação de carregamento quando o navegador indicar que a página está pronta
    window.addEventListener('load', function () {
        hideLoading();
    });

    // Alternativa para garantir que o carregamento seja escondido mesmo após uma navegação ou recarregamento
    window.addEventListener('pageshow', function () {
        hideLoading();
    });

    // Adiciona a animação de carregamento ao clicar em links ou botões que iniciam navegação
    document.querySelectorAll('a, button').forEach(function (element) {
        element.addEventListener('click', function (event) {
            showLoading();
        });
    });
</script>




</body>
<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
</html>



